#ifndef CONF_DATA_H
#define CONF_DATA_H

#include <limits.h>

enum service_type {
	ST_SIMPLE=0,
	ST_ONESHOT=1
};

enum defaultdependencies_type {
	DD_INCLUDE=0,
	DD_EXCLUDE=1
};

struct service_config {
	char description[LINE_MAX];
	char exec_start[LINE_MAX];
	enum service_type type;
	enum defaultdependencies_type defaultdependencies;
	char after[LINE_MAX];
	char before[LINE_MAX];
	char parse_error[LINE_MAX];
};

#endif
